Skip to main content
PUT
/
api
/
v1
/
participants
/
:id
Update Participant
curl --request PUT \
  --url https://api.example.com/api/v1/participants/:id \
  --header 'Content-Type: application/json' \
  --data '
{
  "first_name": "<string>",
  "surname": "<string>",
  "gender": "<string>",
  "status": "<string>",
  "super_group_id": "<string>",
  "sub_group_id": "<string>",
  "block_id": "<string>",
  "room_id": "<string>"
}
'

Update Participant

Update an existing participant. Only include fields you want to update.
id
string
required
Participant ID
first_name
string
First name
surname
string
Surname
gender
string
Gender
status
string
Status
super_group_id
string
Supergroup ID
sub_group_id
string
Subgroup ID (must belong to supergroup if provided)
block_id
string
Block ID
room_id
string
Room ID (must belong to block if provided)
When updating relationships, ensure they are valid:
  • Subgroup must belong to the supergroup (if both provided)
  • Room must belong to the block (if both provided)

Example Request

curl -X PUT https://api.checkpoint.b-digital.uk/api/v1/participants/API_TEST_001 \
  -H "X-API-Key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "first_name": "John",
    "surname": "Smith",
    "rank": "Senior"
  }'